SDL_HINT_POLL_SENTINEL(3)

NAME
SDL_HINT_POLL_SENTINEL - A variable controlling the use of a sentinel event when polling the event queue.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_POLL_SENTINEL "SDL_POLL_SENTINEL"

DESCRIPTION
When polling for events, SDL_PumpEvents is used to gather new events from devices. If a device keeps producing new events between calls to SDL_PumpEvents, a poll loop will become stuck until the new events stop. This is most noticeable when moving a high frequency mouse.

The variable can be set to the following values:

• "0": Disable poll sentinels.

• "1": Enable poll sentinels. (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.